<?php
/**
 * Created by PhpStorm.
 * User: ringier
 * Date: 1/11/17
 * Time: 1:51 PM
 */

namespace Drupal\content_export_yaml;


class DBManager {
    protected $database;

    public function __construct()
    {
        $this->database = \Drupal::database();
    }

    public function is_exist($id, $entity , $bundle)
    {
        return $this->database->select('content_export_yaml', 'n')
             ->fields('n', array('number', 'entity_id', 'entity_type', 'bundle'))
            ->condition('bundle', $bundle, '=')
            ->condition('entity_type', $entity, '=')
            ->condition('entity_id', $id, '=')
            ->range(0, 1)
            ->execute()
            ->fetchAllAssoc('number');


    }


    public function delete_by_id($id)
    {
        return $this->database->delete('content_export_yaml')
            ->condition('entity_id', $id)
            ->execute();
    }
    public function delete_by_file($file)
    {
        return $this->database->delete('content_export_yaml')
          ->condition('file', $file)
          ->execute();
    }
    function update($id,$entity , $bundle, $fields)
    {
        try {
            $count = $this->database->update('content_export_yaml')
                ->fields($fields)
                ->condition('entity_id', $id)
                ->condition('bundle', $bundle)
                ->condition('entity_type', $entity)
                ->execute();
        } catch (Exception $e) {
            drupal_set_message(t('db_update failed. Message = %message, query= %query', array('%message' => $e->getMessage(), '%query' => $e->query_string)), 'error');
        }
        return $count;
    }


    public function insert($fields)
    {
        $return_value = NULL;
        try {
            $return_value = $this->database->insert('content_export_yaml')
                ->fields($fields)
                ->execute();
        } catch (Exception $e) {
            drupal_set_message(t('db_insert failed. Message = %message, query= %query', array('%message' => $e->getMessage(), '%query' => $e->query_string)), 'error');
        }
        return $return_value;
    }


} 